## ESourceAutocomplete

ESourceAutocomplete — ESource extension for autocomplete settings

## Functions

gboolean | e_source_autocomplete_get_include_me ()
void | e_source_autocomplete_set_include_me ()

## Types and Values

#define | E_SOURCE_EXTENSION_AUTOCOMPLETE
struct | ESourceAutocomplete

## Object Hierarchy

        GObject
        ╰── ESourceExtension
            ╰── ESourceAutocomplete

## Includes

    #include <libedataserver/libedataserver.h>

## Description

The ESourceAutocomplete extension tracks contact autocompletion settings for an address book.

Access the extension as follows:

    1
    2
    3
    4
    5

    #include <libedataserver/libedataserver.h>

    ESourceAutocomplete *extension;

    extension = e_source_get_extension (source, E_SOURCE_EXTENSION_AUTOCOMPLETE);

## Functions

### e_source_autocomplete_get_include_me ()

    gboolean
    e_source_autocomplete_get_include_me (ESourceAutocomplete *extension);

Returns whether the address book described by the ESource to which `extension` belongs should be queried when the user inputs a partial contact name or email address.

#### Parameters

extension | an ESourceAutocomplete |

#### Returns

whether to use the autocomplete feature

Since: 3.6

### e_source_autocomplete_set_include_me ()

    void
    e_source_autocomplete_set_include_me (ESourceAutocomplete *extension,
                                          gboolean include_me);

Sets whether the address book described by the ESource to which `extension` belongs should be queried when the user inputs a partial contact name or email address.

#### Parameters

extension | an ESourceAutocomplete |
include_me | whether to use the autocomplete feature |

Since: 3.6

## Types and Values

### E_SOURCE_EXTENSION_AUTOCOMPLETE

    #define E_SOURCE_EXTENSION_AUTOCOMPLETE "Autocomplete"

Pass this extension name to `e_source_get_extension()` to access ESourceAutocomplete. This is also used as a group name in key files.

Since: 3.6

### struct ESourceAutocomplete

    struct ESourceAutocomplete;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.6